/* eslint-disable no-undef */
const TypeBoolean = require('./boolean.js')

describe('test validate schema type boolean', () => {
  function throwFunc (val) {
    return () => {
      if (val) throw new Error(val)
    }
  }

  it('test type boolean required', async () => {
    const bool = new TypeBoolean().required()

    bool.validate(true)

    expect(throwFunc(bool.validate(undefined))).toThrow()
    expect(throwFunc(bool.validate({}))).toThrow()
  })
})
